Bug 52338 - Cleanup WebGLGetInfo and related get*Parameter helpers in WebGLRenderingContext
Summary: Cleanup WebGLGetInfo and related get*Parameter helpers in WebGLRenderingContext
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Zhenyao Mo
URL:
Keywords:
Depends on: 51908
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-12 17:08 PST by Zhenyao Mo
Modified: 2011-01-25 09:40 PST (History)
3 users (show)

See Also:


Attachments
Patch (26.81 KB, patch)
2011-01-24 16:42 PST, Zhenyao Mo
kbr: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zhenyao Mo 2011-01-12 17:08:44 PST
Currently for example, we have getLongParameter/getIntParameter/getUnsignedLongParameter, and according to GL type def, we actually should use int and unsigned int.
Comment 1 Zhenyao Mo 2011-01-24 16:42:57 PST
Created attachment 79991 [details]
Patch
Comment 2 Kenneth Russell 2011-01-24 17:23:48 PST
Comment on attachment 79991 [details]
Patch

Looks fine; should we be referencing GC3D typedefs?
Comment 3 Zhenyao Mo 2011-01-24 17:32:28 PST
I thought about using GC3D types, but then again, we already have Float32Array, Int8Array, ect, which are using generic types, so I didn't see a lot of benefits for using GC3Dint and GC3Duint.
Comment 4 Zhenyao Mo 2011-01-25 09:40:12 PST
Committed r76601: <http://trac.webkit.org/changeset/76601>